// Code generated by mockery v2.12.1. DO NOT EDIT.

package mocks

import (
	mock "github.com/stretchr/testify/mock"
	dao "gitlab.informatika.org/rahmahkn/if3250_2022_03_ensiklo/internal/app/model/dao"

	multipart "mime/multipart"

	testing "testing"
)

// FileService is an autogenerated mock type for the FileService type
type FileService struct {
	mock.Mock
}

// GetFile provides a mock function with given fields: code
func (_m *FileService) GetFile(code string) ([]byte, dao.File, error) {
	ret := _m.Called(code)

	var r0 []byte
	if rf, ok := ret.Get(0).(func(string) []byte); ok {
		r0 = rf(code)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]byte)
		}
	}

	var r1 dao.File
	if rf, ok := ret.Get(1).(func(string) dao.File); ok {
		r1 = rf(code)
	} else {
		r1 = ret.Get(1).(dao.File)
	}

	var r2 error
	if rf, ok := ret.Get(2).(func(string) error); ok {
		r2 = rf(code)
	} else {
		r2 = ret.Error(2)
	}

	return r0, r1, r2
}

// UploadFile provides a mock function with given fields: f
func (_m *FileService) UploadFile(f multipart.FileHeader) (dao.File, error) {
	ret := _m.Called(f)

	var r0 dao.File
	if rf, ok := ret.Get(0).(func(multipart.FileHeader) dao.File); ok {
		r0 = rf(f)
	} else {
		r0 = ret.Get(0).(dao.File)
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(multipart.FileHeader) error); ok {
		r1 = rf(f)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// NewFileService creates a new instance of FileService. It also registers the testing.TB interface on the mock and a cleanup function to assert the mocks expectations.
func NewFileService(t testing.TB) *FileService {
	mock := &FileService{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
